Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Property

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.Property

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieProperty

    public class Property

extends TieSystemObject

A Property describes a name/value pair of varying datatype, that can be used for multiple purposes to store iFS values.

Instances of Property are dedicated to a single PropertyBundle, which represents a collection of Propery.

See Also:
  `PropertyDefinition`, `PropertyBundle`, `PropertyBundleDefinition`
(Published)

Field Summary
`static java.lang.String` | `BOOLEANVALUE_ATTRIBUTE` The value of this Property if the datatype is a Boolean.
`static java.lang.String` | `BOOLEANVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Booleans.
`static java.lang.String` | `BUNDLE_ATTRIBUTE` The PropertyBundle to which this property belongs.
`static java.lang.String` | `CLASS_NAME` Name of this class.
`static java.lang.String` | `DATATYPE_ATTRIBUTE` The datatype of this Property - either scalar or array of integer, long, double, string, boolean, DirectoryObject, PublicObject, SchemaObject, SystemObject.
`static java.lang.String` | `DATEVALUE_ATTRIBUTE` The value of this Property if the datatype is a Date.
`static java.lang.String` | `DATEVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Dates.
`static java.lang.String` | `DIRECTORYOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a DirectoryObject.
`static java.lang.String` | `DIRECTORYOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of DirectoryObjects.
`static java.lang.String` | `DOUBLEVALUE_ATTRIBUTE` The value of this Property if the datatype is a Double.
`static java.lang.String` | `DOUBLEVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Doubles.
`static java.lang.String` | `INTEGERVALUE_ATTRIBUTE` The value of this Property if the datatype is an Integer.
`static java.lang.String` | `INTEGERVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Integers.
`static java.lang.String` | `LONGVALUE_ATTRIBUTE` The value of this Property if the datatype is a Long.
`static java.lang.String` | `LONGVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Longs.
`protected boolean` | `m_Resolved` Whether the member variable shadows of the attribute values of this attribute have been populated.
`protected AttributeValue` | `m_Value` The attribute value of the Property attribute appropriate for its datatype.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the Property.
`static java.lang.String` | `PUBLICOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a PublicObject.
`static java.lang.String` | `PUBLICOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of PublicObjects.
`static java.lang.String` | `SCHEMAOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a SchemaObject.
`static java.lang.String` | `SCHEMAOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of SchemaObjects.
`static java.lang.String` | `STRINGVALUE_ATTRIBUTE` The value of this Property if the datatype is a String.
`static java.lang.String` | `STRINGVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of Strings.
`static java.lang.String` | `SYSTEMOBJECTVALUE_ATTRIBUTE` The value of this Property if the datatype is a SystemObject.
`static java.lang.String` | `SYSTEMOBJECTVALUES_ATTRIBUTE` The value of this Property if the datatype is an array of SystemObjects.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Property(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a Property.

Method Summary
`protected static Property` | `constructProperty(LibrarySession session, S_LibraryObjectData data)` Constructs a Property from a S_LibraryObjectData.
`protected static Property[]` | `constructPropertyArray(LibrarySession sess, java.lang.Long[] ids)` Construct a Property array from an array of object IDs.
`protected static java.util.Vector` | `constructPropertyVector(LibrarySession sess, java.util.Vector vector)` Constructs Vector of Property from Vector of S_LibraryObjectData.
`PropertyBundle` | `getBundle()` Gets the BUNDLE attribute of this Property.
`int` | `getDataType()` Gets the data type of this Property.
`AttributeValue` | `getValue()` Gets the value of this Property as an AttributeValue.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`boolean` | `hasNameAttribute()` Override to return true for any PublicObject, indicating that the instance has a NAME attribute.
`protected void` | `invalidate()` Invalidates the cached value, forcing a resolve next time this Property is accessed.
`void` | `setValue(AttributeValue av)` Sets the value and data type of this Property.
`protected static Property` | `vectorPropertyElement(java.util.Vector vector, int index)` Returns a specific Property from a Vector of Property, at a specified index.
`protected static Property[]` | `vectorToPropertyArray(java.util.Vector vector)` Converts a Vector of Property to an array of Property.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Property`
  Name of this class.

  See Also:
    Constant Field Values
  (Published)

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `Property`
  The name of the Property. This attribute is required since the structure of properties is a name/value pair.

  See Also:
    Constant Field Values
  (Published)

### BUNDLE_ATTRIBUTE

    public static final java.lang.String BUNDLE_ATTRIBUTE

  Description copied from class: `Property`
  The PropertyBundle to which this property belongs.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_ATTRIBUTE

    public static final java.lang.String DATATYPE_ATTRIBUTE

  Description copied from class: `Property`
  The datatype of this Property - either scalar or array of integer, long, double, string, boolean, DirectoryObject, PublicObject, SchemaObject, SystemObject.

  See Also:
    Constant Field Values
  (Published)

### BOOLEANVALUE_ATTRIBUTE

    public static final java.lang.String BOOLEANVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a Boolean.

  See Also:
    Constant Field Values
  (Published)

### INTEGERVALUE_ATTRIBUTE

    public static final java.lang.String INTEGERVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an Integer.

  See Also:
    Constant Field Values
  (Published)

### LONGVALUE_ATTRIBUTE

    public static final java.lang.String LONGVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a Long.

  See Also:
    Constant Field Values
  (Published)

### DOUBLEVALUE_ATTRIBUTE

    public static final java.lang.String DOUBLEVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a Double.

  See Also:
    Constant Field Values
  (Published)

### STRINGVALUE_ATTRIBUTE

    public static final java.lang.String STRINGVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a String.

  See Also:
    Constant Field Values
  (Published)

### DATEVALUE_ATTRIBUTE

    public static final java.lang.String DATEVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a Date.

  See Also:
    Constant Field Values
  (Published)

### SCHEMAOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String SCHEMAOBJECTVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a SchemaObject.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String SYSTEMOBJECTVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a SystemObject.

  See Also:
    Constant Field Values
  (Published)

### PUBLICOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String PUBLICOBJECTVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a PublicObject.

  See Also:
    Constant Field Values
  (Published)

### DIRECTORYOBJECTVALUE_ATTRIBUTE

    public static final java.lang.String DIRECTORYOBJECTVALUE_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is a DirectoryObject.

  See Also:
    Constant Field Values
  (Published)

### BOOLEANVALUES_ATTRIBUTE

    public static final java.lang.String BOOLEANVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of Booleans.

  See Also:
    Constant Field Values
  (Published)

### INTEGERVALUES_ATTRIBUTE

    public static final java.lang.String INTEGERVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of Integers.

  See Also:
    Constant Field Values
  (Published)

### LONGVALUES_ATTRIBUTE

    public static final java.lang.String LONGVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of Longs.

  See Also:
    Constant Field Values
  (Published)

### DOUBLEVALUES_ATTRIBUTE

    public static final java.lang.String DOUBLEVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of Doubles.

  See Also:
    Constant Field Values
  (Published)

### STRINGVALUES_ATTRIBUTE

    public static final java.lang.String STRINGVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of Strings.

  See Also:
    Constant Field Values
  (Published)

### DATEVALUES_ATTRIBUTE

    public static final java.lang.String DATEVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of Dates.

  See Also:
    Constant Field Values
  (Published)

### SCHEMAOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String SCHEMAOBJECTVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of SchemaObjects.

  See Also:
    Constant Field Values
  (Published)

### SYSTEMOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String SYSTEMOBJECTVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of SystemObjects.

  See Also:
    Constant Field Values
  (Published)

### PUBLICOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String PUBLICOBJECTVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of PublicObjects.

  See Also:
    Constant Field Values
  (Published)

### DIRECTORYOBJECTVALUES_ATTRIBUTE

    public static final java.lang.String DIRECTORYOBJECTVALUES_ATTRIBUTE

  Description copied from class: `Property`
  The value of this Property if the datatype is an array of DirectoryObjects.

  See Also:
    Constant Field Values
  (Published)

### m_Value

    protected AttributeValue m_Value

  Description copied from class: `Property`
  The attribute value of the Property attribute appropriate for its datatype.

  (Unpublished)

### m_Resolved

    protected boolean m_Resolved

  Description copied from class: `Property`
  Whether the member variable shadows of the attribute values of this attribute have been populated.

  (Unpublished)

Constructor Detail

### Property

    protected Property(LibrarySession session,
                       java.lang.Long id,
                       java.lang.Long classId,
                       S_LibraryObjectData data)
                throws IfsException

  Constructs a Property.

  Parameters:
    `session` - the session
    `id` - the id
    `classId` - the class id
    `data` - the Property data
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

Method Detail

### hasNameAttribute

    public boolean hasNameAttribute()
                             throws IfsException

  Description copied from class: `Property`
  Override to return true for any PublicObject, indicating that the instance has a NAME attribute.

  Overrides:
    `hasNameAttribute` in class `LibraryObject`
  Returns:
    true.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getBundle

    public PropertyBundle getBundle()
                             throws IfsException

  Description copied from class: `Property`
  Gets the BUNDLE attribute of this Property.

  Returns:
    the PropertyBundle object held in the BUNDLE attribute
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDataType

    public final int getDataType()
                          throws IfsException

  Description copied from class: `Property`
  Gets the data type of this Property.

  Equivalent to:

       AttributeValue av = getAttributeByUpperCaseName(DATATYPE_ATTRIBUTE);
       return av.getInteger(getSession());

  Returns:
    the data type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getValue

    public final AttributeValue getValue()
                                  throws IfsException

  Description copied from class: `Property`
  Gets the value of this Property as an AttributeValue.

  This method returns an AttributeValue whose type is appropriate for the data type of this Property.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public void setValue(AttributeValue av)
                  throws IfsException

  Description copied from class: `Property`
  Sets the value and data type of this Property.

  Parameters:
    `av` - the AttributeValue containing the new value; implies the data type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `Property`
  Handles the specified event.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Overrides:
    `handleEvent` in class `LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

### invalidate

    protected final void invalidate()
                             throws IfsException

  Description copied from class: `Property`
  Invalidates the cached value, forcing a resolve next time this Property is accessed.

  Throws:
    `IfsException` - if the opertation fails
  (Unpublished)

### constructPropertyVector

    protected static java.util.Vector constructPropertyVector(LibrarySession sess,
                                                              java.util.Vector vector)
                                                       throws IfsException

  Description copied from class: `Property`
  Constructs Vector of Property from Vector of S_LibraryObjectData.

  Parameters:
    `sess` - the LibrarySession
    `vector` - Vector of S_LibraryObjectData
  Returns:
    the Vector of Property
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructPropertyArray

    protected static Property[] constructPropertyArray(LibrarySession sess,
                                                       java.lang.Long[] ids)
                                                throws IfsException

  Description copied from class: `Property`
  Construct a Property array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a Property object.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Propertie's
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### constructProperty

    protected static Property constructProperty(LibrarySession session,
                                                S_LibraryObjectData data)
                                         throws IfsException

  Description copied from class: `Property`
  Constructs a Property from a S_LibraryObjectData.

  Parameters:
    `session` - the session
    `data` - the Property data
  Returns:
    the Property
  Throws:
    `IfsException` - if an error occurs
  (Unpublished)

### vectorToPropertyArray

    protected static Property[] vectorToPropertyArray(java.util.Vector vector)

  Description copied from class: `Property`
  Converts a Vector of Property to an array of Property.

  Parameters:
    `vector` - Vector of Property
  Returns:
    array of Property
  (Unpublished)

### vectorPropertyElement

    protected static Property vectorPropertyElement(java.util.Vector vector,
                                                    int index)
                                             throws java.lang.IndexOutOfBoundsException

  Description copied from class: `Property`
  Returns a specific Property from a Vector of Property, at a specified index.

  Parameters:
    `vector` - Vector of Property
    `index` - index into the Vector of Property
  Returns:
    the requested Property
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is invalid.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD